local my_heat_point = 40
local my_humidity_point = 40

for i in ipairs (colors) do
	local name = colors[i][1]
	local hue = colors[i][2]
	local rgb = colors[i][3]
	
	minetest.register_biome({
		name = name .. "land",
		node_top = mymodname .. name,
		depth_top = 3,
		node_filler = mymodname .. name .. "_dark",
		depth_filler = 6,
		node_riverbed = mymodname .. name .. "_light",
		node_stone = mymodname .. "gray",
		node_water = mymodname .. name .. "_glass",
		depth_riverbed = 2,
		y_max = 31000,
		y_min = -100,
		heat_point = my_heat_point,
		humidity_point = my_humidity_point,
	})

	minetest.register_biome({
		name = name .. "underground",
		--node_top = mymodname .. "green",
		--depth_top = 3,
		--node_filler = mymodname .. "brown",
		--depth_filler = 6,
		--node_riverbed = mymodname .. "gray",
		node_stone = mymodname .. "gray_dark",
		node_water = mymodname .. "water_source",
		depth_riverbed = 2,
		y_max = -100,
		y_min = -200,
		heat_point = my_heat_point,
		humidity_point = my_humidity_point,
		node_cave_liquid = {"air"},
		--		heat_point = 10,
		--humidity_point = 10,
	})

	minetest.register_biome({
		name = name .. "underground2",
		--node_top = mymodname .. "green",
		--depth_top = 3,
		--node_filler = mymodname .. "brown",
		depth_filler = 6,
		--node_riverbed = mymodname .. "gray",
		node_stone = mymodname .. "black",
		node_water = mymodname .. "water_source",
		depth_riverbed = 2,
		y_max = -200,
		y_min = -31000,
		heat_point = my_heat_point,
		humidity_point = my_humidity_point,
		node_cave_liquid = {"air"},
		--		heat_point = 10,
		--humidity_point = 10,
	})

	my_heat_point = my_heat_point + 5
	my_humidity_point = my_heat_point + 5

end


